# Uses of Class
org.apache.sling.testing.clients.osgi.BundleInfo

Packages that use BundleInfo
Package
Description
org.apache.sling.testing.clients.osgi
OSGI testing tools.

## Uses of BundleInfo in org.apache.sling.testing.clients.osgi

Methods in org.apache.sling.testing.clients.osgi that return BundleInfo
Modifier and Type
Method
Description
`BundleInfo`
BundlesInfo.`forId(String id)`
Return bundle info for a bundle with persistence identifier `pid`
`BundleInfo`
BundlesInfo.`forName(String name)`
Return bundle info for a bundle with name `name`
`BundleInfo`
BundlesInfo.`forSymbolicName(String name)`
Return bundle info for a bundle with symbolic name `name`
`BundleInfo`
OsgiConsoleClient.`getBundleInfo(String id, int... expectedStatus)`
Returns the wrapper for the bundle info json